
QGIS Application - Bug report #15920

QLR file loading ignoring <widgetv2config> configuration, as opposed when loading from QGS
Status: Closed

Priority: Normal

Assignee:

Category: Edit widget

Affected QGIS version:2.18.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23837

Description

QGIS Layer Configuration includes information about edit widgets: edit widget type (Text Edit, Value Map, ...), constraints (Not null,...),

editability, default values,...

When you "Save As Layer Definition file" you get a .qlr file with all this information.

But when you try to load this .qlr file ("Add from Layer Definition File"), all information about edit widgets is ignored, it is not restored.

By the way, when you save a QGIS project, you get a .qgs file, that also includes all this information. But opening the .qgs project do

indeed correctly restores all edit widget information.

By opening both .qgs and .qlr files with a text editor, we have seen that they use the same schema format to describe all that information

(under <maplayers><maplayer><edittypes><edittype><widgetv2config>). So it seems that processing this information should follow the

same rules no matter if it is read from a QLR or a QGS file...

History

#1 - 2016-12-15 12:51 PM - Bo Thomsen

- Assignee set to Nathan Woodrow

Knock knock,

This is really a LARGE issue for those of us, that uses qlr - functionality. Take a look at the QLR Browser plugin as an example.

I can possibly scrape some money from the the bottom of my budget allowance to fix this issue. Either this year. Or in the start of the next year.

I think Nathan was the original author of the qlr functionality. Why didn't you implement the widget creation together with styles ? Was there any difficulties

or did you run out of time / resources ??

#2 - 2016-12-15 02:51 PM - Nathan Woodrow

QLR files were intended to be just styles and label information at this time.  In QGIS 3.0 I would like to split all this stuff out so you can have the option but

at the time I didn't want widget information.

#3 - 2016-12-16 05:27 AM - Bo Thomsen

- Target version set to Version 3.0
I do understand why you don't want to mess around with this request in ver. 2.18. But it would be very nice if it could make it into ver. 3.0 :-)

Send me an email regarding funding if it's necessary (bvtho@frederikssund.dk)

#4 - 2017-05-01 01:02 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#5 - 2017-05-08 03:41 PM - Nathan Woodrow

- Description updated

- Assignee deleted (Nathan Woodrow)

#6 - 2019-03-09 03:09 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

2025-04-27 2/2

mailto:bvtho@frederikssund.dk
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

